> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific stage instance



## OpenAPI

````yaml /api-reference/4.2/service-query-stages.json get /query-stages/instances/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service query-stages
servers:
  - url: /api/apollo/
security: []
tags:
  - name: query-stages
paths:
  /query-stages/instances/{id}:
    get:
      tags:
        - 4.2 Query Stages API
      summary: Get a specific stage instance
      operationId: getStageInstance
      parameters:
        - name: id
          in: path
          description: The stage ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StageConfig'
components:
  schemas:
    StageConfig:
      type: object
      properties:
        type:
          type: string
          readOnly: true
        id:
          type: string
          readOnly: true
        skip:
          type: boolean
          default: false
        label:
          type: string
        condition:
          type: string

````